Liste les adresses d'un client
Retourne une liste paginée des adresses associées au client spécifié. Les paramètres filters, order, limit, offset et fields permettent d'affiner la réponse.
Parameters
Header Parameters
[Authentication] Required API key.
"^[a-zA-Z0-9-]{20,64}$"Path Parameters
Customer identifier (as provided by the merchant shop).
Query Parameters
Subset of address fields to return.
"address_id""customer_id""first_name""last_name""primary_phone""secondary_phone""company""address_line_1""address_line_2""postal_code""city""country""is_active"Maximum number of records to return
10Number of records to skip
0Sorting criteria, array of objects with field and type properties
{
"field": "created_at",
"type": "desc"
}Filter criteria, array of objects with field, operator and values properties.
Available operators: EQUALS, NOT_EQUALS, CONTAINS, NOT_CONTAINS, STARTS_WITH, ENDS_WITH, LESS_THAN, LESS_THAN_OR_EQUAL_TO, GREATER_THAN, GREATER_THAN_OR_EQUAL_TO, IN, NOT_IN, LIKE, BETWEEN, NOT_BETWEEN
{
"field": "status",
"operator": "EQUALS",
"values": "active"
}Responses
Paginated listing response.
Liste les adresses d'un client Retourne une liste paginée des adresses associées au client spécifié. Les paramètres filters, order, limit, offset et fields permettent d'affiner la réponse. GET /v1/customers/{customer_id}/addresses listCustomerAddresses Customers spm-api-key [Authentication] Required API key. customer_id Customer identifier (as provided by the merchant shop). fields Subset of address fields to return. limit Maximum number of records to return offset Number of records to skip order Sorting criteria, array of objects with field and type properties filters Filter criteria, array of objects with field, operator and values properties. Available operators: EQUALS, NOT_EQUALS, CONTAINS, NOT_CONTAINS, STARTS_WITH, ENDS_WITH, LESS_THAN, LESS_THAN_OR_EQUAL_TO, GREATER_THAN, GREATER_THAN_OR_EQUAL_TO, IN, NOT_IN, LIKE, BETWEEN, NOT_BETWEEN Paginated listing response. Client error - Invalid request or authentication issues Server error - Internal processing failure